function [totalpris, plusskundepris]=energipriser(total, plusskunde, tidsvektor)
%utgifter
nordpoolpris=0.25; %kr/kWh ta fra kjell sitt paper
fastbelop=8800; % kr/r
energipris=0.05; %kr/kWh
forbruksavgift=0.1658; %kr/kWh

kwhpris=energipris+forbruksavgift+nordpoolpris;

%effektpris
hoyesteeffekt=zeros(12,1);
tid=zeros(12,1);
effektpris=zeros(12,1);
midlertidig=-total;

for i =1:12
    for k=1:8760
        if tidsvektor(1,k)==i
            if hoyesteeffekt(i)<midlertidig(k)
                hoyesteeffekt(i)=midlertidig(k);
                tid(i)=k;
            end
        end
    end
end

for i=1:12
if i==1
    a=60;
    b=53;
elseif i==2
    a=60;
    b=53;
elseif i==11
    a=60;
    b=53;
elseif i==12
    a=60;
    b=53;
else
    a=45;
    b=40;
end

if hoyesteeffekt(i)<=200
    effektpris(i)=a*hoyesteeffekt(i);
else 
    effektpris(i)=a*200+b*(hoyesteeffekt(i)-200);
end
end

kjopsbehov=(midlertidig(midlertidig>0));

kwh=sum(kjopsbehov);

totalpris=fastbelop+sum(effektpris)+kwhpris*kwh;

plusskundepriskwh=nordpoolpris-0.01-(nordpoolpris*0.05);

plusskundepris=plusskundepriskwh*plusskunde;
end

