%kostnader

%1=Orginal
%2=Plusskunde 100
%3= Plusskunde 500
%4= Batteri 500kWh
%5 = Batteri 1000kWh

kostnad=zeros(9,15);
inntekt=zeros(9,15);

%Kostnad BK15
[kostnadBK15, inntektBK15]=energipriser(last_BK15, 0, tidsvektor);
%Kostnad Buss
[kostnadBuss, inntektBuss]=energipriser(last_buss, 0, tidsvektor);
% PHB
[kostnadPHB, inntektBuss]=energipriser(last_PHB, 0, tidsvektor);
% BI
[kostnadBI, inntektBuss]=energipriser(last_BI, 0, tidsvektor);







for i = 1:15

% Orginal

[kostnad(1,i), inntekt(1,i)]=energipriser(total(:,i), salg(i), tidsvektor);

%Plusskunde100
[kostnad(2,i), inntekt(2,i)]=energipriser(total_plusskunde100(:,i), salg_plusskunde100(i), tidsvektor);

%Plusskunde500
[kostnad(3,i), inntekt(3,i)]=energipriser(total_plusskunde500(:,i), salg_plusskunde500(i), tidsvektor);

%Batteri 500kWh
[kostnad(4,i), inntekt(4,i)]=energipriser(total_batteri500(:,i), 0, tidsvektor);

%Batteri 1000kWh
[kostnad(5,i), inntekt(5,i)]=energipriser(total_batteri1000(:,i), 0, tidsvektor);

%Batteri og plusskunde ikke optimalt

% Batteri 500, plusskunde 100
[kostnad(6,i), inntekt(6,i)]=energipriser(total_100_500(:,i), salg100_500(i), tidsvektor);


%Batteri 500, plusskunde 500
[kostnad(7,i), inntekt(7,i)]=energipriser(total_500_500(:,i), salg500_500(i), tidsvektor);

%Batteri 1000, Plusskunde 100
[kostnad(8,i), inntekt(8,i)]=energipriser(total_100_1000(:,i), salg100_1000(i), tidsvektor);

%Batteri og plusskunde optimalisert
[kostnad(9,i), inntekt(9,i)]=energipriser(total_opt100_500(:,i), salgopt(i), tidsvektor);

end


avdragkostnad=zeros(15,1);
avdragkostnad(1)=kostnadPHB; %PHB
avdragkostnad(2)=kostnadBuss+kostnadPHB;
avdragkostnad(3)=kostnadBK15+kostnadPHB;
avdragkostnad(4)=kostnadBuss+kostnadBK15+kostnadPHB;
avdragkostnad(5)=kostnadBI;
avdragkostnad(6)=kostnadBuss+kostnadBI;
avdragkostnad(7)=kostnadBK15+kostnadBI;
avdragkostnad(8)=kostnadBK15+kostnadBuss+kostnadBI;  %Alle
avdragkostnad(9)=kostnadBI+kostnadPHB; %BI + PHB 
avdragkostnad(10)=kostnadBuss+kostnadBI+kostnadPHB;
avdragkostnad(11)=kostnadBK15+kostnadBI+kostnadPHB;
avdragkostnad(12)=kostnadBK15+kostnadBuss+kostnadBI+kostnadPHB;
avdragkostnad(13)=kostnadBI+kostnadPHB; %PHB + BI
avdragkostnad(14)=kostnadBuss;
avdragkostnad(15)=kostnadBK15;

kostnad_justert=kostnad-avdragkostnad.';

kostnad_total=kostnad_justert-inntekt;

kostnadsdritt(:,1)=kostnad_total(:,1)+kostnad_total(:,8);
kostnadsdritt(:,2)=kostnad_total(:,2)+kostnad_total(:,7);
kostnadsdritt(:,3)=kostnad_total(:,3)+kostnad_total(:,6);
kostnadsdritt(:,4)=kostnad_total(:,4)+kostnad_total(:,5);
kostnadsdritt(:,5)=kostnad_total(:,9);
kostnadsdritt(:,6)=kostnad_total(:,10);
kostnadsdritt(:,7)=kostnad_total(:,11);
kostnadsdritt(:,8)=kostnad_total(:,12);

inntekt_total=-kostnad_total;

batteripris=10000; %kr/kWh
batteripris_500=batteripris*500*2.5;
batteripris_1000=batteripris*1000*2.5;

batteriprismatrise=zeros(9,1);
batteriprismatrise(4)=batteripris_500;
batteriprismatrise(6)=batteripris_500;
batteriprismatrise(8)=batteripris_500;
batteriprismatrise(9)=batteripris_500;

batteriprismatrise(5)=batteripris_1000;
batteriprismatrise(7)=batteripris_1000;

inntekt_25=inntekt_total*25;
inntekt_25total=inntekt_25-batteriprismatrise;


